Get all project variables for a project
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"supportsDoubleResolution": true,
"value": "<unknown>"
}
],
"size": 50,
"total": 472
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Project Variables
Get all project variables for a project
Get all project variables for a project
GET
/
v1
/
projects
/
{projectId}
/
variables
Get all project variables for a project
Authorizations
a valid bearer token
Path Parameters
Query Parameters
Response
Project variables have been retrieved
Was this page helpful?
⌘I
